services:
  nusqool:
    build: .
    container_name: nusqool
    restart: unless-stopped
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.nusqool.rule=Host(`dandylion.nusqool.com`)"
      - "traefik.http.services.nusqool.loadbalancer.server.port=3000"
    healthcheck:
      test: ["CMD", "wget", "--no-verbose", "--tries=1", "--spider", "http://127.0.0.1:3000/"]
      interval: 30s
      timeout: 10s
      retries: 3
      start_period: 15s
    networks:
      - traefik-public

networks:
  traefik-public:
    external: true
